Page 2 of 2 FirstFirst 12
Results 11 to 15 of 15

Thread: Difficulty updating KDE repositories

  1. #11

    Default Re: Difficulty updating KDE repositories

    Copy/paste of commands output referenced in last post (too many chars)
    Code:
    agt@bernard:~> sudo zypper lr -d
    #  | Alias                               | Name                                                                  | Enabled | GPG Check | Refresh |  Priority | Type   | URI                                                                                              | Service
    ---+-------------------------------------+----------------------------------------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------------------+--------
     1 | KDE-Applications                    | KDE-Applications                                                      | Yes     | (r ) Yes  | Yes     |    75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.1  |
     2 | KDE-Frameworks                      | KDE-Frameworks                                                        | Yes     | (r ) Yes  | Yes     |    75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.1                   |
     3 | KDE-Qt5                             | KDE-Qt5                                                               | Yes     | (r ) Yes  | Yes     |    75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.1                           |
     4 | LibreOffice_Factory                 | The development branch for  LibreOffice packages (openSUSE_Leap_15.1) | Yes     | (r ) Yes  | No       |   99     | rpm-md |  http://download.opensuse.org/repositories/LibreOffice:/Factory/openSUSE_Leap_15.1/               |
     5 | NVIDIA                              | NVIDIA                                                                | Yes     | (r ) Yes  | No      |    99     | rpm-md | https://download.nvidia.com/opensuse/leap/15.1                                                   |
     6 | Virtualization                      | Virtualization                                                        | Yes     | (r ) Yes  | No      |    99     | rpm-md |  http://download.opensuse.org/repositories/Virtualization/openSUSE_Leap_15.1/                     |
     7 | X11_XOrg                            | X.Org development  (openSUSE_Leap_15.1)                               | Yes     | (r ) Yes   | No      |   99     | rpm-md |  http://download.opensuse.org/repositories/X11:/XOrg/openSUSE_Leap_15.1/                          |
     8 | http-download.opensuse.org-6e7aac73 | Publishing                                                            | Yes     | (r ) Yes  | No      |    99     | rpm-md |  http://download.opensuse.org/repositories/Publishing/openSUSE_Leap_15.1/                         |
     9 | http-download.opensuse.org-cf7f315c | devel:languages:perl                                                  | Yes     | (r ) Yes  | No      |    99     | rpm-md |  http://download.opensuse.org/repositories/devel:/languages:/perl/openSUSE_Leap_15.1/             |
    10 | http-download.opensuse.org-dcd11ec5 | graphics                                                              | Yes     | (r ) Yes  | No      |    99     | rpm-md |  http://download.opensuse.org/repositories/graphics/openSUSE_Leap_15.1/                           |
    11 | http-download.opensuse.org-ddacf414 | Emulators:Wine                                                        | Yes     | (r ) Yes  | No      |    99     | rpm-md |  http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_15.1/                    |
    12 | insync                              | insync                                                                | No      | ----      | ----    |    99     | rpm-md | http://yum.insynchq.com/fedora/29                                                                |
    13 | mozilla                             | mozilla                                                               | Yes     | (r ) Yes  | No       |   90     | rpm-md |  http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.1/                            |
    14 | packman                             | packman                                                               | Yes     | (r ) Yes  | No       |   90     | rpm-md |  http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.1/                               |
    15 | repo-debug                          | Debug Repository                                                      | No      | ----      | ----    |    99     | NONE   |  http://download.opensuse.org/debug/distribution/leap/15.1/repo/oss/                              |
    16 | repo-debug-non-oss                  | Debug Repository (Non-OSS)                                            | No      | ----      | ----    |    99     | NONE   |  http://download.opensuse.org/debug/distribution/leap/15.1/repo/non-oss/                          |
    17 | repo-debug-update                   | Update Repository (Debug)                                             | No      | ----      | ----     |   99     | NONE   |  http://download.opensuse.org/debug/update/leap/15.1/oss/                                         |
    18 | repo-debug-update-non-oss           | Update Repository (Debug,  Non-OSS)                                   | No      | ----      | ----     |   99     | NONE   |  http://download.opensuse.org/debug/update/leap/15.1/non-oss/                                     |
    19 | repo-non-oss                        | Non-OSS Repository                                                    | Yes     | (r ) Yes  | No      |    99     | rpm-md |  http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/                                |
    20 | repo-oss                            | Main Repository                                                       | Yes     | (r ) Yes  | No       |   99     | rpm-md |  http://download.opensuse.org/distribution/leap/15.1/repo/oss/                                    |
    21 | repo-source                         | Source Repository                                                     | No      | ----      | ----     |   99     | NONE   |  http://download.opensuse.org/source/distribution/leap/15.1/repo/oss/                             |
    22 | repo-source-non-oss                 | Source Repository (Non-OSS)                                           | No      | ----      | ----     |   99     | NONE   |  http://download.opensuse.org/source/distribution/leap/15.1/repo/non-oss/                         |
    23 | repo-update                         | Main Update Repository                                                | Yes     | (r ) Yes  | No      |    99     | rpm-md | http://download.opensuse.org/update/leap/15.1/oss                                                |
    24 | repo-update-non-oss                 | Update Repository (Non-Oss)                                           | Yes     | (r ) Yes  | No       |   99     | rpm-md |  http://download.opensuse.org/update/leap/15.1/non-oss/                                           |
    25 | skype-stable                        | skype (stable)                                                        | Yes     | (r ) Yes  | No      |    99     | rpm-md | https://repo.skype.com/rpm/stable/                                                               |
    26 | teams                               | teams                                                                 | Yes     | (r ) Yes  | No       |   99     | rpm-md | https://packages.microsoft.com/yumrepos/ms-teams                                                 |
    agt@bernard:~>
    Code:
    agt@bernard:~> sudo zypper ref
    Repository 'KDE-Applications' is up to date.
    Repository 'KDE-Frameworks' is up to date.
    Repository 'KDE-Qt5' is up to date.
    Repository 'The development branch for LibreOffice packages (openSUSE_Leap_15.1)' is up to date.
    Repository 'NVIDIA' is up to date.
    Repository 'Virtualization' is up to date.
    Repository 'X.Org development (openSUSE_Leap_15.1)' is up to date.
    Repository 'Publishing' is up to date.
    Repository 'devel:languages:perl' is up to date.
    Repository 'graphics' is up to date.
    Repository 'Emulators:Wine' is up to date.
    Repository 'mozilla' is up to date.
    Repository 'packman' is up to date.
    Repository 'Non-OSS Repository' is up to date.
    Repository 'Main Repository' is up to date.
    Repository 'Main Update Repository' is up to date.
    Repository 'Update Repository (Non-Oss)' is up to date.
    Repository 'skype (stable)' is up to date.
    Repository 'teams' is up to date.
    All repositories have been refreshed.
    agt@bernard:~>

  2. #12

    Default Re: Difficulty updating KDE repositories

    Copy/paste of commands output referenced in last post (too many chars)
    Note that 6546 locks referred to are all related to texlive - see bottom code block
    Code:
    agt@bernard:~> sudo zypper -v dup --allow-vendor-change
    Verbosity: 2
    Initializing Target
    Checking whether to refresh metadata for KDE-Applications
    Checking whether to refresh metadata for KDE-Frameworks
    Checking whether to refresh metadata for KDE-Qt5
    Loading repository data...
    Reading installed packages...
    Warning: You are about to do a distribution upgrade with all enabled   repositories. Make sure these repositories are compatible before you   continue. See 'man zypper' for more information about this command.
    Computing distribution upgrade...
    Force resolution: No
    Computing upgrade...
    
    The following 6546 items are locked and will not be changed by any action:
     Available:
      texlive-12many texlive-12many-doc texlive-2up texlive-2up-doc   texlive-a0poster texlive-a0poster-doc texlive-a2ping texlive-a2ping-bin   texlive-a2ping-doc texlive-a4wide texlive-a4wide-doc texlive-a5comb   texlive-a5comb-doc texlive-aastex
      texlive-aastex-doc texlive-abbr texlive-abbr-doc texlive-abc   texlive-abc-doc texlive-abntex2 texlive-abntex2-doc texlive-abraces   texlive-abraces-doc texlive-abstract texlive-abstract-doc   texlive-abstyles texlive-abstyles-doc
      texlive-academicons texlive-academicons-doc texlive-academicons-fonts   texlive-accanthis texlive-accanthis-doc texlive-accanthis-fonts   texlive-accfonts texlive-accfonts-bin texlive-accfonts-doc   texlive-achemso texlive-achemso-doc
      texlive-acmart texlive-acmart-doc texlive-acmconf texlive-acmconf-doc   texlive-acro texlive-acro-doc texlive-acronym texlive-acronym-doc   texlive-acroterm texlive-acroterm-doc texlive-active-conf   texlive-active-conf-doc
      texlive-actuarialangle texlive-actuarialangle-doc   texlive-actuarialsymbol texlive-actuarialsymbol-doc texlive-addfont   texlive-addfont-doc texlive-addlines texlive-addlines-doc   texlive-adfathesis texlive-adfathesis-doc texlive-adforn
      texlive-adforn-doc texlive-adforn-fonts texlive-adfsymbols   texlive-adfsymbols-doc texlive-adfsymbols-fonts texlive-adhocfilelist   texlive-adhocfilelist-bin texlive-adhocfilelist-doc texlive-adjmulticol   texlive-adjmulticol-doc
      texlive-adjustbox texlive-adjustbox-doc texlive-adobemapping   texlive-adrconv texlive-adrconv-doc texlive-adtrees texlive-adtrees-doc   texlive-advdate texlive-advdate-doc texlive-ae texlive-aecc   texlive-aecc-doc texlive-ae-doc
      texlive-aeguill texlive-aeguill-doc texlive-afm2pl texlive-afm2pl-bin   texlive-afm2pl-doc texlive-afparticle texlive-afparticle-doc   texlive-afthesis texlive-afthesis-doc texlive-aguplus   texlive-aguplus-doc texlive-aiaa texlive-aiaa-doc
      texlive-aichej texlive-ajl texlive-akktex ... and 6445 more items.
     Installed:
      texlive-lm-fonts  2017.137.2.004svn28119-lp151.7.1
     Run 'zypper locks -s' to see the complete list of locked items.
    
    The following package is going to be upgraded:
      libQt5Pas1  2.0.2-lp151.1.4 -> 2.0.6-lp151.5.1
    
    The following 2 packages are going to be downgraded:
      libvisual                       0.4.0-lp151.395.2 -> 0.4.0-lp151.2.3
      perl-Glib-Object-Introspection  0.048-lp151.20.1 -> 0.048-lp151.2.2
    
    The following 3 packages are going to change vendor:
      libQt5Pas1                      2.0.2-lp151.1.4 -> 2.0.6-lp151.5.1    openSUSE -> http://packman.links2linux.de
      libvisual                       0.4.0-lp151.395.2 -> 0.4.0-lp151.2.3  obs://build.opensuse.org/KDE:KDE3 -> openSUSE
      perl-Glib-Object-Introspection  0.048-lp151.20.1 -> 0.048-lp151.2.2     obs://build.opensuse.org/devel:languages:perl ->   http://packman.links2linux.de
    
    1 package to upgrade, 2 to downgrade, 3  to change vendor.
    Overall download size: 690.1 KiB. Already cached: 0 B. After the operation, 17.4 KiB will be freed.
    Continue? [y/n/v/...? shows all options] (y): y
    committing
    Retrieving package perl-Glib-Object-Introspection-0.048-lp151.2.2.x86_64                                                                                                                                    (1/3),  84.8  KiB  (227.3 KiB unpacked)
    Retrieving: perl-Glib-Object-Introspection-0.048-lp151.2.2.x86_64.rpm   ....................................................................................................................................................[done   (13.7 KiB/s)]
    Retrieving package libQt5Pas1-2.0.6-lp151.5.1.x86_64                                                                                                                                                        (2/3), 476.0  KiB  (  2.6 MiB unpacked)
    Retrieving: libQt5Pas1-2.0.6-lp151.5.1.x86_64.rpm   .......................................................................................................................................................................[done   (237.5 KiB/s)]
    Retrieving package libvisual-0.4.0-lp151.2.3.x86_64                                                                                                                                                         (3/3), 129.3  KiB  (399.0 KiB unpacked)
    Retrieving: media   ............................................................................................................................................................................................................[done   (83 B/s)]
    Retrieving: libvisual-0.4.0-lp151.2.3.x86_64.rpm   ........................................................................................................................................................................[done   (396.2 KiB/s)]
    
    Checking for file conflicts:   ..........................................................................................................................................................................................................[done]
    (1/3) Installing: perl-Glib-Object-Introspection-0.048-lp151.2.2.x86_64   ...............................................................................................................................................................[done]
    (2/3) Installing: libQt5Pas1-2.0.6-lp151.5.1.x86_64   ...................................................................................................................................................................................[done]
    (3/3) Installing: libvisual-0.4.0-lp151.2.3.x86_64   ....................................................................................................................................................................................[done]
    CommitResult  (total 3, done 3, error 0, skipped 0, updateMessages 0)
    Checking for running processes using deleted libraries...
    
    agt@bernard:~>
    Code:
    agt@bernard:~> sudo zypper locks -s|grep -v texlive
    Loading repository data...
    Reading installed packages...
    
    #    | Name                                       | Matches | Type    | Repository
    -----+--------------------------------------------+---------+---------+-----------
    
    agt@bernard:~>

  3. #13
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,316
    Blog Entries
    14

    Default Re: Difficulty updating KDE repositories

    To be honest: this reposlist is a mess. A couple of them clearly say they're defelopment repos. And in the end you have created some kind of untested Tumbleweed from your Leap 15.1 install, where Tumbleweed itself is tested in openQA.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #14
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,788

    Default Re: Difficulty updating KDE repositories

    Quote Originally Posted by Knurpht View Post
    To be honest: this reposlist is a mess. A couple of them clearly say they're defelopment repos. And in the end you have created some kind of untested Tumbleweed from your Leap 15.1 install, where Tumbleweed itself is tested in openQA.
    I tried to avoid to be grumpy and thus I did not comment in that way, but my first feelings were: Why doesn't he run Tumbleweed? The whole idea about Leap, not to have all those changes al the time, is null now.

    BTW, as said earlier in this thread, just switch on autorefresh for all enabled repos (and it does not hurt on the disabled ones either, because I assume you have them to be enabled when needed). They will then be refreshed when needed. Never seen any problem with that. In any case, posting the ouput of a separate zypper ref is superfluous imho.

    Oh yes, and for your information. Changing the priority on repos has no influence on what you are doing now. It only works when you install a new package, then, whne that package is on more then one repo, it will choose based on priority. Once installed it will normaly not change vendor just because that vendor's repo has a different priority. It will then change because you force it by a dup (with allow vendor change, but that is the default on Leap).
    Last edited by hcvv; 16-Jan-2020 at 03:59.
    Henk van Velden

  5. #15

    Default Re: Difficulty updating KDE repositories

    Quote Originally Posted by hcvv View Post
    I tried to avoid to be grumpy and thus I did not comment in that way, but my first feelings were: Why doesn't he run Tumbleweed? The whole idea about Leap, not to have all those changes al the time, is null now.

    BTW, as said earlier in this thread, just switch on autorefresh for all enabled repos (and it does not hurt on the disabled ones either, because I assume you have them to be enabled when needed). They will then be refreshed when needed. Never seen any problem with that. In any case, posting the ouput of a separate zypper ref is superfluous imho.

    Oh yes, and for your information. Changing the priority on repos has no influence on what you are doing now. It only works when you install a new package, then, whne that package is on more then one repo, it will choose based on priority. Once installed it will normaly not change vendor just because that vendor's repo has a different priority. It will then change because you force it by a dup (with allow vendor change, but that is the default on Leap).
    Thanks again Henk! (and Knurpht!)
    Of course you're allowed to be grumpy - and would be justified!
    I've had Tumbleweed bite me particularly with Nvidia in the past, which is why I had opted on the current install to try and run Leap with newer applications. Sounds like that was a dumb move.

    I think I'll give up on the updated KDE for now as everything else is working fine, and ponder trying Tumbleweed again.
    FYI the devel repos Knurpht points out weren't just there out of a desire to mess things up - eg actually satisfying an otherwise unprovided dependency in a preferred application.

    Thanks again for all the help!

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •